/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.tool;
/*定义了很多的静态常量字符串，目的就是为了提供jsonObject中相应字符串的"key"。把这些静态的定义单独写到了一个类里面，方便查找和更改*/
public class GTaskStringUtils {

    public final static String GTASK_JSON_ACTION_ID = "action_id";//任务id

    public final static String GTASK_JSON_ACTION_LIST = "action_list";//任务列表

    public final static String GTASK_JSON_ACTION_TYPE = "action_type";//任务类型

    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";//新建

    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";//获取所有的任务类型

    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";//移动

    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";//更新

    public final static String GTASK_JSON_CREATOR_ID = "creator_id";//创建id

    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";//子实体

    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";//客户端

    public final static String GTASK_JSON_COMPLETED = "completed";//完成

    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";//当前列表id

    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";//默认列表id

    public final static String GTASK_JSON_DELETED = "deleted";//删除

    public final static String GTASK_JSON_DEST_LIST = "dest_list";

    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";

    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";

    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";

    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";

    public final static String GTASK_JSON_GET_DELETED = "get_deleted";

    public final static String GTASK_JSON_ID = "id";//id

    public final static String GTASK_JSON_INDEX = "index";//索引

    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";//最后一次更改

    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";//最后一次同步

    public final static String GTASK_JSON_LIST_ID = "list_id";//列表id

    public final static String GTASK_JSON_LISTS = "lists";//列表

    public final static String GTASK_JSON_NAME = "name";//名字

    public final static String GTASK_JSON_NEW_ID = "new_id";//新id

    public final static String GTASK_JSON_NOTES = "notes";//便签

    public final static String GTASK_JSON_PARENT_ID = "parent_id";//父id

    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";

    public final static String GTASK_JSON_RESULTS = "results";//结果

    public final static String GTASK_JSON_SOURCE_LIST = "source_list";//源列表

    public final static String GTASK_JSON_TASKS = "tasks";//任务

    public final static String GTASK_JSON_TYPE = "type";//类型

    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";//组类型

    public final static String GTASK_JSON_TYPE_TASK = "TASK";//任务类型

    public final static String GTASK_JSON_USER = "user";//使用者

    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";//小米便签

    public final static String FOLDER_DEFAULT = "Default";//默认

    public final static String FOLDER_CALL_NOTE = "Call_Note";//呼叫标签

    public final static String FOLDER_META = "METADATA";

    public final static String META_HEAD_GTASK_ID = "meta_gid";

    public final static String META_HEAD_NOTE = "meta_note";

    public final static String META_HEAD_DATA = "meta_data";

    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";

}
